USE [master]
GO

/****** Object:  Database [organisation]    Script Date: 02/07/2013 15:34:27 ******/
CREATE DATABASE [organisation]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'organisation', FILENAME = N'C:\Users\cheney\organisation.mdf' , SIZE = 120896KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'organisation_log', FILENAME = N'C:\Users\cheney\organisation_log.ldf' , SIZE = 434944KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [organisation] SET COMPATIBILITY_LEVEL = 110
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [organisation].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [organisation] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [organisation] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [organisation] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [organisation] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [organisation] SET ARITHABORT OFF 
GO

ALTER DATABASE [organisation] SET AUTO_CLOSE ON 
GO

ALTER DATABASE [organisation] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [organisation] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [organisation] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [organisation] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [organisation] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [organisation] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [organisation] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [organisation] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [organisation] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [organisation] SET  ENABLE_BROKER 
GO

ALTER DATABASE [organisation] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [organisation] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [organisation] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [organisation] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [organisation] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [organisation] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [organisation] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [organisation] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [organisation] SET  MULTI_USER 
GO

ALTER DATABASE [organisation] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [organisation] SET DB_CHAINING OFF 
GO

ALTER DATABASE [organisation] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [organisation] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [organisation] SET  READ_WRITE 
GO



CREATE TABLE [dbo].[contacts](
	[dpt] [varchar](50) NOT NULL,
	[contact] [varchar](50) NOT NULL,
	[client] [int] NOT NULL,
	[id] [int] IDENTITY(1,1) NOT NULL,
 CONSTRAINT [PK_contacts] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


CREATE TABLE [dbo].[departments](
	[dpt] [varchar](50) NOT NULL,
 CONSTRAINT [PK_departments] PRIMARY KEY CLUSTERED 
(
	[dpt] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[employees](
	[dpt] [varchar](50) NOT NULL,
	[emp] [varchar](50) NOT NULL,
	[salary] [int] NOT NULL,
 CONSTRAINT [PK_employees] PRIMARY KEY CLUSTERED 
(
	[emp] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[keytasks](
	[tsk] [varchar](50) NOT NULL,
 CONSTRAINT [PK_keytasks] PRIMARY KEY CLUSTERED 
(
	[tsk] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


CREATE TABLE [dbo].[tasks](
	[emp] [varchar](50) NOT NULL,
	[tsk] [varchar](50) NOT NULL,
	[id] [int] IDENTITY(1,1) NOT NULL,
 CONSTRAINT [PK_tasks] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


