USE [master]
GO
/****** Object:  Database [MyXml]    Script Date: 02/07/2013 15:32:57 ******/
CREATE DATABASE [MyXml]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'MyXml', FILENAME = N'C:\Users\cheney\MyXml.mdf' , SIZE = 111680KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'MyXml_log', FILENAME = N'C:\Users\cheney\MyXml_log.ldf' , SIZE = 1025984KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
ALTER DATABASE [MyXml] SET COMPATIBILITY_LEVEL = 110
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [MyXml].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [MyXml] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [MyXml] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [MyXml] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [MyXml] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [MyXml] SET ARITHABORT OFF 
GO
ALTER DATABASE [MyXml] SET AUTO_CLOSE ON 
GO
ALTER DATABASE [MyXml] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [MyXml] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [MyXml] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [MyXml] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [MyXml] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [MyXml] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [MyXml] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [MyXml] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [MyXml] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [MyXml] SET  ENABLE_BROKER 
GO
ALTER DATABASE [MyXml] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [MyXml] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [MyXml] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [MyXml] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [MyXml] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [MyXml] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [MyXml] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [MyXml] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [MyXml] SET  MULTI_USER 
GO
ALTER DATABASE [MyXml] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [MyXml] SET DB_CHAINING OFF 
GO
ALTER DATABASE [MyXml] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [MyXml] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO
USE [MyXml]
GO
/****** Object:  Table [dbo].[Attribute]    Script Date: 02/07/2013 15:32:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Attribute](
	[element] [int] NOT NULL,
	[name] [varchar](50) NOT NULL,
	[value] [varchar](50) NOT NULL,
	[ID] [int] IDENTITY(1,1) NOT NULL,
 CONSTRAINT [PK_Attribute] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Data]    Script Date: 02/07/2013 15:32:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Data](
	[ID] [int] NOT NULL,
	[entry] [int] NOT NULL,
	[pre] [int] NOT NULL,
	[post] [int] NOT NULL,
	[name] [varchar](50) NOT NULL,
	[parent] [int] NOT NULL,
 CONSTRAINT [PK_Data] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Text]    Script Date: 02/07/2013 15:32:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Text](
	[ID] [int] NOT NULL,
	[value] [text] NOT NULL,
 CONSTRAINT [PK_Texts] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Index [IX_element]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_element] ON [dbo].[Attribute]
(
	[element] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_name]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_name] ON [dbo].[Attribute]
(
	[name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_value]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_value] ON [dbo].[Attribute]
(
	[value] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_entry]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_entry] ON [dbo].[Data]
(
	[entry] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_name]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_name] ON [dbo].[Data]
(
	[name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_parent]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_parent] ON [dbo].[Data]
(
	[parent] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_post]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_post] ON [dbo].[Data]
(
	[post] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_pre]    Script Date: 02/07/2013 15:32:57 ******/
CREATE NONCLUSTERED INDEX [IX_pre] ON [dbo].[Data]
(
	[pre] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
USE [master]
GO
ALTER DATABASE [MyXml] SET  READ_WRITE 
GO


CREATE TABLE [dbo].[Text](
	[ID] [int] NOT NULL,
	[value] [text] NOT NULL,
 CONSTRAINT [PK_Texts] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


CREATE TABLE [dbo].[Data](
	[ID] [int] NOT NULL,
	[entry] [int] NOT NULL,
	[pre] [int] NOT NULL,
	[post] [int] NOT NULL,
	[name] [varchar](50) NOT NULL,
	[parent] [int] NOT NULL,
 CONSTRAINT [PK_Data] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


CREATE TABLE [dbo].[Attribute](
	[element] [int] NOT NULL,
	[name] [varchar](50) NOT NULL,
	[value] [varchar](50) NOT NULL,
	[ID] [int] IDENTITY(1,1) NOT NULL,
 CONSTRAINT [PK_Attribute] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
